Gda.ConnectionEventCode – Gda-6.0 Reference Manual

# ConnectionEventCode

## Description:

[ CCode ( cprefix = "GDA_CONNECTION_EVENT_CODE_" , has_type_id = false ) ]
public enum ConnectionEventCode
Namespace: Gda
Package: Gda-6.0

## Content:

### Enum values:

- CHECK_VIOLATION
- CONSTRAINT_VIOLATION
- DUPLICATE_ALIAS
- DUPLICATE_COLUMN
- DUPLICATE_DATABASE
- DUPLICATE_FUNCTION
- DUPLICATE_OBJECT
- DUPLICATE_SCHEMA
- DUPLICATE_TABLE
- FOREIGN_KEY_VIOLATION
- INSUFFICIENT_PRIVILEGES
- NOT_NULL_VIOLATION
- RESTRICT_VIOLATION
- SYNTAX_ERROR
- UNDEFINED_COLUMN
- UNDEFINED_FUNCTION
- UNDEFINED_TABLE
- UNIQUE_VIOLATION
- UNKNOWN